Bug 133717 - vmware-guestd of emulators/open-vm-tools* 154848_1 hangs on shutdown request by VMware Infrastructure Client
vmware-guestd of emulators/open-vm-tools* 154848_1 hangs on shutdown request ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: mbr
Depends on:
  Show dependency treegraph
Reported: 2009-04-14 03:00 UTC by hosokawa
Modified: 2009-04-23 10:38 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description hosokawa 2009-04-14 03:00:06 UTC
I'm testing FreeBSD 7.2-BETA1 on VMware ESX server 3.5 and I found that vmware-guestd of emulators/open-vm-tools* hangs up when I selected guest-OS shutdown menu from VMware Infrastructure client.  FreeBSD guest VM can't be shutted down from VMware Infrastructre client because of this problem.


I found that vmware-guestd stops at Util_IsAbsolutePath (in lib/misc/util_misc.c).  

Please put this patchfile in emulators/open-vm-tools/files.
How-To-Repeat: Select Guest-OS shutdown from VMware Infrastructure Client.
Comment 1 Edwin Groothuis freebsd_committer 2009-04-14 03:18:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 hosokawa 2009-04-14 06:20:05 UTC
Oops, this is the patch.


--- lib/misc/util_misc.c.orig   2009-03-18 16:02:13.000000000 +0900
+++ lib/misc/util_misc.c        2009-04-13 10:36:14.000000000 +0900
@@ -316,7 +316,7 @@
 Util_IsAbsolutePath(const char *path)  // IN: path to check
-#if defined(__linux__) || defined(__APPLE__)
+#if defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__)
    // path[0] is valid even for the empty string.
    return path && path[0] == DIRSEPC;
 #elif defined(_WIN32)
Comment 3 dfilter freebsd_committer 2009-04-14 09:09:10 UTC
mbr         2009-04-14 07:32:46 UTC

  FreeBSD ports repository

  Modified files:
    emulators/open-vm-tools Makefile 
  Added files:
    emulators/open-vm-tools/files patch-util_misc.c 
  Fix shutdown problems with ESX 3.5
  PR:             ports/133717
  Approved by:    portsmgr
  Submitted by:   Tatsumi Hosokawa <hosokawa@itc.keio.ac.jp>
  Revision  Changes    Path
  1.29      +1 -1      ports/emulators/open-vm-tools/Makefile
  1.1       +20 -0     ports/emulators/open-vm-tools/files/patch-util_misc.c (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 pav freebsd_committer 2009-04-23 10:38:10 UTC
State Changed
From-To: open->closed

Committed by mbr, just forgot to close the PR I assume. So closing